%ALLPLOT: Extracts and plots all parameters.
%After running this, the variables may not be useful (e.g. X, Z, v2 etc 
%may not match up). 

autoplot_vars;

plotall=1;
set(danploth,'pointer','watch');
drawnow;
scan=sc(num);
load colmap

if ty(num)=='P'
	figure(10)
	if (autoplot_shrink)
		set(gcf,'position',[1105         772         168         146])
	end
	colormap(jet15)
	clf
	disp('Plotting PPIs...')
	scaling=2.3;
	the_width=0.85; % don't use, because width is one of the plotted parameters
	height=0.32;
	%Do Doppler first
	dfilen='data.mat';
	filename=fname;
	extract;
	%	load([cscdir 'data.mat'])
	%velocity...
	if min(size(v2)) <=3, stop ; end
	ppipl2='v2'
	plotall=1;
 	ppiplot;
	the_width=width; % use the same width for all plots...
	delete([xl yl])
	%now fiddle things...
	x0=0.05;y0=0.15;
	set(axppi,'position',[x0,y0,the_width/scaling,height/scaling])
	set(co,'position',[x0+.01+the_width/scaling y0 .015 height/scaling]);
	title('v2')
	zoom on
 	drawnow;
	%Phi_dp...
	ppipl2='ph'
	plotall=1;
 	ppiplot;
	delete([xl yl])
	%now fiddle things...
	x0=x0+.32;
	set(axppi,'position',[x0,y0,the_width/scaling,height/scaling])
	set(co,'position',[x0+.01+the_width/scaling y0 .015 height/scaling]);
	zoom on
 	drawnow;
		%width...
		ppiplv2='wih'
		filename=fnamev;
		lasterr('');
		eval('extract','');
		if isempty(lasterr)
			plotall=1;
			ppiplotv;
			delete([xl yl])
			%now fiddle things...
			x0=x0+.32;
			set(axppiv,'position',[x0,y0,the_width/scaling,height/scaling])
			set(co,'position',[x0+.01+the_width/scaling y0 .015 height/scaling]);
			zoom on
		end
	drawnow;
	%Now extract reflectivity
	dfilen='dataz.mat';
	filename=fnamez;
	extract;
	%	load([cscdir 'dataz.mat'])
	%Reflectivity...
	plppiz='Zh '
	if process_ppi=='y'
		disp('Processing data')
		process3ghz
	end
	plotall=1;
 	ppiplotz;
	delete([xl yl])
	%now fiddle things...
	x0=0.05;y0=0.55;
	set(axppiz,'position',[x0,y0,the_width/scaling,height/scaling])
	set(co,'position',[x0+.01+the_width/scaling y0 .015 height/scaling]);
	title('Zh')
	caxis([zhmin max(max(Zh))]);
	colorbar
	zoom on
 	drawnow;
	%Zdr...
	plppiz='Zdr'
	plotall=1;
 	ppiplotz;
	delete([xl yl])
	%now fiddle things...
	x0=x0+.32;
	set(axppiz,'position',[x0,y0,the_width/scaling,height/scaling])
	set(co,'position',[x0+.01+the_width/scaling y0 .015 height/scaling]);
	zoom on
 	drawnow;
	%Ldr...
	plppiz='Ldr'
	plotall=1;
 	ppiplotz;
	delete([xl yl])
	%now fiddle things...
	x0=x0+.32;
	set(axppiz,'position',[x0,y0,the_width/scaling,height/scaling])
	set(co,'position',[x0+.01+the_width/scaling y0 .015 height/scaling]);
	title('Ldr')
	zoom on
 	drawnow;
	%===========================================================================
elseif ty(num)=='R'
	figure(11)
	colormap(jet15) 
	%set(gcf,'position',[257         291        1019         703])
	if (autoplot_shrink)
		set(gcf,'position',[1105         510         168         146])
	end
	clf
	disp('Plotting RHIs...')
	scx=2.1;
	scy=1.3;
	the_width=0.85; % can't use width as this is one of the plotted arrays
	height=0.32;
	%Do Doppler first
	dfilen='data.mat';
	filename=fname;
	extract;
	%	load([cscdir 'data.mat'])
	%velocity...
	rhipl2='sh';
	v2=fliplr(v2);
	v1=fliplr(v1);
	phi_dp=fliplr(phi_dp);
	elev_orig=elev;
	elev=fliplr(elev);
	plotall=1;
 	rhiplot;
	%now fiddle things...
	x0=0.06;y0=0.71;
	set(axrtop,'position',[x0,y0,the_width/scx,height/scy])
	pos=get(cv,'position');
	set(cv,'position',[x0+.01+the_width/scx y0 .01 height/scy]);
	%and shear
	y0=0.38;
	set(axrbot,'position',[x0,y0,the_width/scx,height/scy])
	pos=get(csh,'position');
	set(csh,'position',[x0+.01+the_width/scx y0 .01 height/scy]);
	axes(axrbot);
	xlabel('');
	zoom on
 	drawnow;
	if (autoplot_width)
		%spectral width...
		filename=fnamev;
		lasterr('');
		eval('extract','');
		if isempty(lasterr)
			v=fliplr(v);
			width_v=fliplr(width_v);
			width_h=fliplr(width_h);
			elev_orig=elev;
			elev=fliplr(elev);
			plv2='eps'
			plotall=1;
			rhiplotv;
			%now fiddle things...
			%delete(cv)
			delete(axrvtop)
			y0=0.05;
			set(axrvbot,'position',[x0,y0,the_width/scx,height/scy])
			pos=get(cbot,'position');
			set(cbot,'position',[x0+.01+the_width/scx y0 .01 height/scy]);
			zoom on
		end
	elseif (autoplot_phidp)
		%Phi_dp... already loaded in Doppler data
		rhipl2='ph'
		plotall=1;
		rhiplot;
		%now fiddle things...
		delete(cv)
		delete(axrtop)
		y0=0.05;
		set(axrbot,'position',[x0,y0,the_width/scx,height/scy])
		pos=get(csh,'position');
		set(csh,'position',[x0+.01+the_width/scx y0 .01 height/scy]);
		zoom on
	end
	drawnow;
	%Now extract reflectivity====================================
	dfilen='dataz.mat';
	filename=fnamez;
	extract;
	%	load([cscdir 'dataz.mat'])
	%Reflectivity...
	plz2='Zdr';
	Zh=fliplr(Zh);
	Ldr=fliplr(Ldr);
	Zdr=fliplr(Zdr);
	elev_orig=elev;
	elev=fliplr(elev);
	if process_rhi=='y'
		disp('Processing data')
		process3ghz
	end
	plotall=1;
 	rhiplotz;
	%now fiddle things...
	x0=0.55;y0=0.71;
	set(axrztop,'position',[x0,y0,the_width/scx,height/scy])
	pos=get(ctop,'position');
	set(ctop,'position',[x0+.01+the_width/scx y0 .01 height/scy]);
	axes(axrztop)
	caxis([zhmin min([max(max(Zh)) zhmax])]);
	colorbar
	%and Zdr
	y0=0.38;
	set(axrzbot,'position',[x0,y0,the_width/scx,height/scy])
	pos=get(cbot,'position');
	set(cbot,'position',[x0+.01+the_width/scx y0 .01 height/scy]);
	axes(axrzbot);
	xlabel('');
	zoom on
 	drawnow;
	%Ldr...
	plz2='Ldr';
	plotall=1;
 	rhiplotz;
	%now fiddle things...
	delete(ctop);
	delete(axrztop);
	y0=0.05;
	set(axrzbot,'position',[x0,y0,the_width/scx,height/scy])
	pos=get(cbot,'position');
	set(cbot,'position',[x0+.01+the_width/scx y0 .01 height/scy]);
	zoom on
 	drawnow;
else
	disp('Unknown scan type - skipping')
end

set(danploth,'pointer','arrow');
plotall=0;

set(gcf,'papertype','a4');
set(gcf,'paperorientation','landscape');
set(gcf,'paperposition',[0.18535 0.2283 11.322 7.8111]);

%reset things
ppipl2='v2'
plppiz='Zh '
rhipl2='sh';
plz2='Zdr';
