
autoplot_vars;

DX=50;
DY=25;
YTOP=10*DY;

more off;

h=findobj('name','Autoplot menu');
if ~isempty(h)
	delete(h)
end

%===========data===============

autploth=figure('numbertitle','off','resize','off','name','Autoplot menu','units','pix','position',[5,450,DX*8.5,YTOP+DY],'IntegerHandle','off');

a=uicontrol('style','text','position',[.5*DX,YTOP,3*DX,DY],'string','Processing:','fore','b','back','w','fontsize',14)

uicontrol('style','text','position',[0,YTOP-DY,3*DX,DY],'string','Minimum raster')
uicontrol('style','edit','position',[3*DX,YTOP-DY,1*DX,DY],'string',num2str(min_raster),'callback','guifuns min_raster','back','w')

uicontrol('style','text','position',[0*DX,YTOP-2*DY,3*DX,DY],'string','Maximum raster')
uicontrol('style','edit','position',[3*DX,YTOP-2*DY,1*DX,DY],'string',num2str(max_raster),'callback','guifuns max_raster','back','w')

uicontrol('style','checkbox','position',[0*DX,YTOP-3*DY,4*DX,DY],'callback','guifuns runzapppi','value',runzapppi,'string','Zap Doppler PPIs');

uicontrol('style','checkbox','position',[0*DX,YTOP-4*DY,4*DX,DY],'callback','guifuns rununfoldppi','value',rununfoldppi,'string','Unfold Doppler PPIs');

uicontrol('style','checkbox','position',[0*DX,YTOP-5*DY,4*DX,DY],'callback','guifuns process_ppi','value',process_ppi=='y','string','Process Reflectivity PPIs');

%Plotting
XOFF=4.5*DX;YOFF=0*DY;
uicontrol('style','text','position',[XOFF+.5*DX,YTOP-YOFF-0*DY,3*DX,DY],'string','Plotting:','fore','b','back','w','fontsize',14)

allrhih=uicontrol('style','radiobutton','position',[XOFF+00*DX,YTOP-YOFF-1*DY,2*DX,DY],'callback','guifuns do_all_rhis','string','All RHIs','value',do_all_rhis);
norhih=uicontrol('style','radiobutton','position',[XOFF+02*DX,YTOP-YOFF-1*DY,2*DX,DY],'callback','guifuns do_no_rhis','string','No RHIs','value',do_no_rhis);

somerhih=uicontrol('style','radiobutton','position',[XOFF+00*DX,YTOP-YOFF-2*DY,2*DX,DY],'callback','guifuns do_some_rhis','string','RHIs within','value',do_some_rhis);
uicontrol('style','edit','position',[XOFF+02*DX,YTOP-YOFF-2*DY,0.75*DX,DY],'string',num2str(rhis_daz),'callback','guifuns rhis_daz','back','w')
uicontrol('style','text','position',[XOFF+02.75*DX,YTOP-YOFF-2*DY,0.5*DX,DY],'string','of')
uicontrol('style','edit','position',[XOFF+03.25*DX,YTOP-YOFF-2*DY,0.75*DX,DY],'string',num2str(rhis_az),'callback','guifuns rhis_az','back','w')

allppih=uicontrol('style','radiobutton','position',[XOFF+00*DX,YTOP-YOFF-3*DY,2*DX,DY],'callback','guifuns do_all_ppis','string','All PPIs','value',do_all_ppis);
noppih=uicontrol('style','radiobutton','position',[XOFF+02*DX,YTOP-YOFF-3*DY,2*DX,DY],'callback','guifuns do_no_ppis','string','No PPIs','value',do_no_ppis);

autoplot_phidph=uicontrol('style','radiobutton','position',[XOFF+0*DX,YTOP-YOFF-4*DY,2*DX,DY],'callback','guifuns autoplot_phidp','string','Phi_dp','value',autoplot_phidp);
autoplot_widthh=uicontrol('style','radiobutton','position',[XOFF+2*DX,YTOP-YOFF-4*DY,2*DX,DY],'callback','guifuns autoplot_width','string','Spectral width','value',autoplot_width);

uicontrol('style','checkbox','position',[XOFF+0*DX,YTOP-YOFF-5*DY,4*DX,DY],'callback','guifuns autoplot_shrink','value',autoplot_shrink,'string','Shrink the plotting windows?');

YOFF=YOFF+6.5*DY;
autoplot_dopplerh=uicontrol('style','radiobutton','position',[XOFF+0*DX,YTOP-YOFF-0*DY,2*DX,DY],'callback','guifuns autoplot_doppler','string','Doppler','value',autoplot_doppler);
autoplot_refh=uicontrol('style','radiobutton','position',[XOFF+2*DX,YTOP-YOFF-0*DY,2*DX,DY],'callback','guifuns autoplot_ref','string','Reflectivity','value',autoplot_ref);
autoplot_veloh=uicontrol('style','radiobutton','position',[XOFF+0*DX,YTOP-YOFF-1*DY,2*DX,DY],'callback','guifuns autoplot_velo','string','Vel/Width','value',autoplot_velo);
autoplot_allh=uicontrol('style','radiobutton','position',[XOFF+2*DX,YTOP-YOFF-1*DY,2*DX,DY],'callback','guifuns autoplot_all','string','All params','value',autoplot_all);

%Printing:
XOFF=0;YOFF=6.5*DY;
uicontrol('style','text','position',[XOFF+.5*DX,YTOP-YOFF-0*DY,3*DX,DY],'string','Printing:','fore','b','back','w','fontsize',14)
uicontrol('style','checkbox','position',[XOFF+0*DX,YTOP-YOFF-1*DY,2*DX,DY],'callback','guifuns autoplot_ps','value',autoplot_ps,'string','Postscript');
uicontrol('style','checkbox','position',[XOFF+2*DX,YTOP-YOFF-1*DY,2*DX,DY],'callback','guifuns autoplot_jpeg','value',autoplot_jpeg,'string','JPEG');
uicontrol('style','checkbox','position',[XOFF+0*DX,YTOP-YOFF-2*DY,4*DX,DY],'callback','guifuns autoplot_zbuffer','value',autoplot_zbuffer,'string','Use ZBuffer with postscript?','tooltip','Use the -zbuffer option when printing to ps files - type help print');

%Actions:
XOFF=2.25*DX;YOFF=10*DY;
uicontrol('style','pushbutton','position',[XOFF+0*DX,YTOP-YOFF-0*DY,2*DX,DY],'string','Run autoplot','callback','autoplot')
uicontrol('style','pushbutton','position',[XOFF+2*DX,YTOP-YOFF-0*DY,2*DX,DY],'string','Close','callback','guifuns close')

set(autoploth,'handlevis','callback');
