function [sh]=calcsheard(vu,Z,dz) 
% CALCSHEAR Calculates the vertical shear for an RHI
% Use: sh=calcshear(vu,Z,d)
% d is an optional argument which determines what vertical scale to
% calculate the gradient over.

%modify this so that it is vectorised, and uses a mean over the
%interval.

vel=mzap(munfill(vu,5,4,4));
sh=vu.*NaN;
[mm nn]=size(vu);

dir=mean(diff(Z(1,:)))
if dir < 0 % make it so that Z increases with j - don't forget to
           % flip back later!
	Z=fliplr(Z);
	vel=fliplr(vel);
end

for i=1:mm;
	for j=1:nn;
		
		jt=min(find(Z(i,:) > (Z(i,j)+dz/2)));
		jb=max(find(Z(i,:) < (Z(i,j)-dz/2)));

		if (~isempty(jt) & ~isempty(jb))
			sh(i,j)=(vel(i,jt)-vel(i,jb))./(Z(i,jt)-Z(i,jb));
		end
		
	end
end

if dir < 0 % make it so that Z increases with j - don't forget to
           % flip back later!
	sh=fliplr(sh);
end

