%calculates epsilon

danplot_vars

%colormap(jet(100));
v(298:end,:)=NaN;
[mm nn]=size(v);
%-------------------------------
angles=elev(1:nn)';
X=range'*cos(angles'*pi/180);
Z=range'*sin(angles'*pi/180);

%correction - basically as on Chilbolton web pages/Battan
Z=Z+3*X.^2/(8*6371);

%correction for the slope of the front
slope=(0.0175*Z/2.5);
index=find(slope>0.02);
slope(index)=0.02;
Z=Z-X.*slope.*cos(pi*(mean(azim-90)-315)/180);

xmin=0;
xmax=30;
zmin=0;
zmax=5;
dz=0.2

v_deltaz=0.2;

[i,j]=find(X<xmax+1);
imax=max(i);

%==============Epsilon=============================
%	shear=calcshear(v,Z,2)/1000.0;
disp('Calculating shear...')
% calculates shear over a certain Z interval
shear=v*NaN;
eps_vu=shear;
eps_vu(1:imax,:)=munfill(v(1:imax,:));
shear(1:imax,:)=mcalcsheard(mzap(eps_vu(1:imax,:),4,3,0),Z(1:imax,:),v_deltaz)/1000.0;
disp('Done calculating shear');

width=(0.5*(width_v+width_h));

index=find(width_v<0 | width_h<0);
width(index)=NaN;

%	width_v;
ranges=1000*range'*ones(1,nn);

%correct for background wind shear...

bw=0.5*0.28*pi/180;
sigma_th=bw/(sqrt(16*log(2)));
sigma_s=ranges.*sigma_th.*abs(shear);

cwidth=( width.^2 - sigma_s.^2 ).^0.5;

index=find((sigma_s./abs(width)) > 0.75 );
cwidth(index)=NaN;

%epsilon according to doviak p 347, and archibald 98 - for range
%resolution smaller than beam width
A=1.6;
r_sigma_e=ranges*0.28*pi/180;
sigma_ra=sqrt(0.3)*75;

epsilon=v.*NaN;
index=find(sigma_ra <= r_sigma_e);
epsilon(index)=0.72*(cwidth(index).^3)./(r_sigma_e(index)*A.^(3.0/2));
index=find(~(sigma_ra <= r_sigma_e));
epsilon(index)=((cwidth(index).^3)./(sigma_ra*((1.35*A).^1.5))).*((11.0/15)+(4.0/15)*(r_sigma_e(index)./sigma_ra).^2).^(-1.5);

