%

%MKPROF calculates and plots profiles of epsilon

danplot_vars

clf;

%colormap(jet(100));
v(298:end,:)=NaN;
[mm nn]=size(v);
posbot=[.11 .12 .85 .32];
postop=[.11 .59 .85 .32];
%-------------------------------
angles=elev(1:nn)';
X=range'*cos(angles'*pi/180);
Z=range'*sin(angles'*pi/180);

% earth curvature etc correction - basically as on Chilbolton web
% pages/Battan
Z=Z+3*X.^2/(8*6371);

%correction for the slope of the front
slope=(0.0175*Z/2.5);
index=find(slope>0.02);
slope(index)=0.02;
%Z=Z-X.*slope.*cos(pi*(mean(azim-90)-315)/180); %uncomment this to do
                                                %the correction

xmin=0;
xmax=30;
zmin=0;
zmax=5;
dz=0.2

v_deltaz=0.2;

[i,j]=find(X<xmax+1);
imax=max(i);

%==============Epsilon=============================
%	shear=calcshear(v,Z,2)/1000.0;
disp('Calculating shear...')
% calculates shear over a certain Z interval
shear=v*NaN;
eps_vu=shear;
eps_vu(1:imax,:)=munfill(v(1:imax,:));
shear(1:imax,:)=mcalcsheard(mzap(eps_vu(1:imax,:),4,3,0),Z(1:imax,:),v_deltaz)/1000.0;
disp('Done calculating shear');

width=(0.5*(width_v+width_h));

index=find(width_v<0 | width_h<0);
width(index)=NaN;

%	width_v;
ranges=1000*range'*ones(1,nn);

%correct for background wind shear...

bw=0.5*0.28*pi/180;
sigma_th=bw/(sqrt(16*log(2)));
sigma_s=ranges.*sigma_th.*abs(shear);

cwidth=( width.^2 - sigma_s.^2 ).^0.5;

index=find((sigma_s./abs(width)) > 0.75 );
cwidth(index)=NaN;

%epsilon according to doviak p 347, and archibald 98 - for range
%resolution smaller than beam width
A=1.6;
r_sigma_e=ranges*0.28*pi/180;
sigma_ra=sqrt(0.3)*75;

epsilon=v.*NaN;
index=find(sigma_ra <= r_sigma_e);
epsilon(index)=0.72*(cwidth(index).^3)./(r_sigma_e(index)*A.^(3.0/2));
index=find(~(sigma_ra <= r_sigma_e));
epsilon(index)=((cwidth(index).^3)./(sigma_ra*((1.35*A).^1.5))).*((11.0/15)+(4.0/15)*(r_sigma_e(index)./sigma_ra).^2).^(-1.5);

zr=zmin:dz:zmax;
eps=[];
eps_weight=[];
for i=1:length(zr)
	index=find( (X>xmin) & (X<xmax) & (Z>(zr(i)-dz/2)) & (Z<(zr(i)+dz/2)) & ...
							isfinite(epsilon) );
	eps(i)=real(mean(epsilon(index)));
	eps_weight(i)=length(index);
	eps_vel(i)=mean(eps_vu(index));
	eps_shear(i)=mean(shear(index))*1000;
end

clf
semilogx(eps,zr,'-o')
hold on; clear text
text(eps*1.1,zr,int2str(eps_weight'))
ylabel('Height (km)')
xlabel('Log_{10}(\epsilon)')
axis([0.9999e-4,1e-2,zmin,zmax]);

text=['\epsilon (\Deltaz = ' num2str(v_deltaz) 'km)'];

title(['Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan),' ',int2str(day),'/',int2str(month),'/',int2str(year),' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec),' Az ',num2str(azim(:,1)-90),' deg : ',text]);


