%extract_mask_dop.m : program to extract and mask Doppler radar data
% requires the following variables to exist
% filename = full file name of the velo data file on met system (eg fnamev)
% raster = raster to extract
% scan = scan to extract
%
%for mask:
% filenamez =  full file name of the source data file on met system 
% mask_level = (processed) reflectivity level to use
%
%See also: extract, extract_mask_vel

if ~exist('mask_level') stop,end
if ~exist('filename') stop,end
if ~exist('filenamez') stop,end
if ~exist('raster') stop,end
if ~exist('scan') stop,end

i=findstr(filename,'/')+1;
j=i(length(i));

tape=str2num(filename(j:j+3));

cmd=['loadchil ' filename ' ' num2str(raster) ' -scan ' num2str(scan)		 ' -verbose'];
cmd_mask=['loadchil ' filenamez ' ' num2str(raster) ' -scan ' num2str(scan)		 ' -verbose'];
result=evalc(cmd_mask);
if result(1:7) == 'Warning' 
	stop;
end
process3ghz
mask=ZH;
mask_elev=elev;
[mm nn]=size(ZH); 
angles=elev(1:nn)';
Xm=range'*cos(angles'*pi/180);
Zm=range'*sin(angles'*pi/180);

%now load the real data (assume it's v)
result=evalc(cmd);
[mm nn]=size(v2); 
angles=elev(1:nn)';
X=range'*cos(angles'*pi/180);
Z=range'*sin(angles'*pi/180);

elev2=elev;
index=find(elev2<min(mask_elev));
elev2(index)=min(mask_elev);
index=find(elev2>max(mask_elev));
elev2(index)=max(mask_elev);

elev_i=interp1(mask_elev,1:length(mask_elev),elev2);


%this gets elev from mask_elev, using elev_i:
%interp1(mask_elev,elev_i(1:100)')

mask2=interp2(mask',(1:300),elev_i')';

if result(1:7) == 'Warning' 
	stop;
end

index=find(mask2 < mask_level);
v1(index)=NaN;
v2(index)=NaN;

index=find(isnan(mask2));
v1(index)=NaN;
v2(index)=NaN;

mm=length(range);nn=length(elev);
angles=elev(1:nn)';
X=range'*cos(angles'*pi/180);
Z=range'*sin(angles'*pi/180);
Y=range'*sin((azim-90)*pi/180);

disp('Extracted')
