%RHIPLOTV plots vel/width RHI scans
% also see rhiplot
danplot_vars

if plotall==0
	clf;
	drawnow;

	amt=uimenu('Label','Top Axes');
	uimenu(amt,'Label','Shading interp','Callback','set(pctopv,''FaceColor'',''interp'')')
	uimenu(amt,'Label','Shading flat','Callback','set(pctopv,''FaceColor'',''flat'')')
	uimenu(amt,'Label','Caxis...','Callback','axes(axrvtop),prompt={''Minimum value'',''Maximum value''}; , ca=caxis; , def={ca(1),ca(2)}; , mtitle=''Caxis input'';,lineNo=1;,answ=inputdlg(prompt,mtitle,lineNo,def);,caxis([str2num(answ{1}) str2num(answ{2})]),colorbar')
	uimenu(amt,'Label','Match bottom axes','Callback','xlim=get(axrvbot,''xlim'');,ylim=get(axrvbot,''ylim'');,axes(axrvtop);,axis([xlim,ylim]);')

	amb=uimenu('Label','Bottom Axes');
	uimenu(amb,'Label','Shading interp','Callback','set(pcbotv,''FaceColor'',''interp'')')
	uimenu(amb,'Label','Shading flat','Callback','set(pcbotv,''FaceColor'',''flat'')')
	uimenu(amb,'Label','Caxis...','Callback','axes(axrvbot), prompt={''Minimum value'',''Maximum value''}; , ca=caxis; , def={ca(1),ca(2)}; , mtitle=''Caxis input'';,lineNo=1;,answ=inputdlg(prompt,mtitle,lineNo,def); ,caxis([str2num(answ{1}) str2num(answ{2})]),colorbar')
	uimenu(amb,'Label','Match top axes','Callback','xlim=get(axrvtop,''xlim'');,ylim=get(axrvtop,''ylim'');,axes(axrvbot);,axis([xlim,ylim]);')

	amboth=uimenu('Label','Both Axes');
	uimenu(amboth,'Label','Match Doppler axes','Callback','xlim=get(axrtop,''xlim'');,ylim=get(axrtop,''ylim'');,axes(axrvtop);,axis([xlim,ylim]);;,axes(axrvbot);,axis([xlim,ylim])')
	uimenu(amboth,'Label','Max Z...','Callback','axes(axrvtop), prompt={''Maximum height''}; , ca=axis; , def={ca(4)}; , mtitle=''Max Z input'';,lineNo=1;,answ=inputdlg(prompt,mtitle,lineNo,def);rhizmax=str2num(answ{1}); ,set(axrvtop,''ylim'',[0 rhizmax]); ,set(axrvbot,''ylim'',[0 rhizmax]);')

	uimenu(amboth,'Label','Max Range...','Callback','axes(axrvtop), prompt={''Maximum range''}; , ca=axis; , def={rhirmax}; , mtitle=''Max Range input'';,lineNo=1;,answ=inputdlg(prompt,mtitle,lineNo,def);rhirmax=str2num(answ{1}); ,set(axrvtop,''xlim'',[ca(1) rhirmax]); ,set(axrvbot,''xlim'',[ca(1) rhirmax]);')

	uimenu(amboth,'Label','X-Dir (normal)','Callback','rhixdir=''normal'';set(axrvtop,''xdir'',''normal'');set(axrvbot,''xdir'',''normal'')');
	uimenu(amboth,'Label','X-Dir (reverse)','Callback','rhixdir=''reverse'';set(axrvtop,''xdir'',''rev'');set(axrvbot,''xdir'',''rev'')');

	colmenu=uimenu(amboth,'Label','Colormaps...');
	uimenu(colmenu,'Label','Flip Colormap','Callback','colormap(flipud(colormap));');
	uimenu(colmenu,'Label','Jet15','Callback','load colmap;colormap(jet15);axes(axrvbot);colorbar;axes(axrvtop);colorbar');
	uimenu(colmenu,'Label','Jet(64)','Callback','colormap(jet(64));axes(axrvbot);colorbar;axes(axrvtop);colorbar');
	uimenu(colmenu,'Label','map12','Callback','load colmap;colormap(map12);axes(axrvbot);colorbar;axes(axrvtop);colorbar');
	uimenu(colmenu,'Label','map15','Callback','load colmap;colormap(map15);axes(axrvbot);colorbar;axes(axrvtop);colorbar');

	%uimenu(amboth,'Label','Flip Colormap','Callback','colormap(flipud(colormap));');
   uimenu(amboth,'Label','Run trackdata','Callback','trackdata;');

	nav=uimenu('label','Navigate');

	uimenu(nav,'label','Forward','callback','num=num+1-(num >= ns);,raster=ra(num);,gettext;,set(infoh,''string'',txt);','accelerator','f');

	uimenu(nav,'label','Back','callback','num=num-1+(num <= 1);,raster=ra(num);,gettext;,set(infoh,''string'',txt);','accelerator','b');

	ploth=uimenu('label','Plot');

	uimenu(ploth,'label','Doppler','callback','set(danploth,''pointer'',''watch'');,drawnow;scan=sc(num);,dfilen=''data.mat'';,filename=fname;,extract;,plot_data;,set(danploth,''pointer'',''arrow'');','accelerator','d');

	uimenu(ploth,'label','Reflectivity','callback','set(danploth,''pointer'',''watch'');,drawnow;scan=sc(num);,dfilen=''dataz.mat'';,filename=fnamez;,extract;,plot_dataz;,set(danploth,''pointer'',''arrow'');','accelerator','r');

end

%colormap(jet(100));
[mm nn]=size(v);
v(298:end,:)=NaN;
posbot=[.11 .12 .85 .32];
postop=[.11 .59 .85 .32];
%-------------------------------
angles=elev(1:nn)';
X=range'*cos(angles'*pi/180);
Z=range'*sin(angles'*pi/180);

%correction - basically as on Chilbolton web pages/Battan
Z=Z+3*X.^2/(8*6371);

xmin=5;
xmax=30;
zmin=0;
zmax=2;

xmin=min(min(X));xmax=max(max(X));zmin=0;zmax=rhizmax;
xmax=min([xmax,rhirmax]);

axrvbot=axes('position',posbot);
eval(['grid ' showgrid]);
set(axrvbot,'xdir',rhixdir);
axis([xmin xmax zmin zmax]);
set(gca,'TickDir','out');
set(gca,'Box','on');
set(gca,'YTick',zmin:1:zmax);
hold on


if plv2=='v  '
%	var=munfill(v);
	var=mzap(munfill(v),4,3,0);
	var=munfill(v);
	text='Vel';

title(['Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan),' ',int2str(day),'/',int2str(month),'/',int2str(year),' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec),' Az ',num2str(azim(:,1)-90),' deg : ',text]);

	pcbotv=pcolor(X,Z,var);shading('flat');
%	caxis([-15 15]);
	ylabel('Height(km)');
	xlabel('Distance from radar (km)');

	cbot=colorbar('ver');
	set(cbot,'tickdir','out');
	pos=get(cbot,'position');
	set(cbot,'position',[pos(1) pos(2) .04 pos(4)]);

end 

if plv2=='wiv'
	%==============Width_v=============================
	var=width_v;
	i=find(var<0);
	var(i)=NaN;
	text='\sigma_V';

  title(['Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan),' ',int2str(day),'/',int2str(month),'/',int2str(year),' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec),' Az ',num2str(azim(:,1)-90),' deg : ',text]);

	pcbotv=pcolor(X,Z,var);shading('flat');
	caxis([wimin wimax]);
	ylabel('Height(km)');
	xlabel('Distance from radar (km)');

	cbot=colorbar('ver');
	set(cbot,'tickdir','out');
	pos=get(cbot,'position');
	set(cbot,'position',[pos(1) pos(2) .04 pos(4)]);

end 

if plv2=='sh '
	%==============Shear=============================
	var=mcalcsheard(munfill(v),Z,v_deltaz);
	text=['dv/dz (\Deltaz = ' num2str(v_deltaz) 'km) '];

  title(['Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan),' ',int2str(day),'/',int2str(month),'/',int2str(year),' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec),' Az ',num2str(azim(:,1)-90),' deg : ',text]);

	pcbotv=pcolor(X,Z,var);shading('flat');
	caxis([shmin shmax]);
	ylabel('Height(km)');
	xlabel('Distance from radar (km)');

	cbot=colorbar('ver');
	set(cbot,'tickdir','out');
	pos=get(cbot,'position');
	set(cbot,'position',[pos(1) pos(2) .04 pos(4)]);

end 

if plv2=='eps'
	%==============Epsilon=============================
	%	shear=calcshear(v,Z,2)/1000.0;
	disp('Calculating shear...')
	% calculates shear over a certain Z interval
	shear=mcalcsheard(mzap(munfill(v),4,3,0),Z,v_deltaz)/1000.0;
	disp('Done calculating shear');
														
	width=(0.5*(width_v+width_h));
	
	index=find(width_v<0 | width_h<0);
	width(index)=NaN;
	
	%	width_v;
	ranges=1000*range'*ones(1,nn);
		
	%correct for background wind shear...
	
	bw=0.5*0.28*pi/180; %note - one-way beamwidth
	sigma_th=bw/(sqrt(16*log(2)));
	sigma_s=ranges.*sigma_th.*abs(shear);

	width=(0.5*(width_v+width_h));
	cwidth=( width.^2 - sigma_s.^2 ).^0.5;
	
	index=find((sigma_s./abs(width)) > 0.75 );
	cwidth(index)=NaN;

	%epsilon according to doviak p 347, and archibald 98 - for range
  %resolution smaller than beam width
	A=1.6;
	r_sigma_e=ranges*0.28*pi/180;
	sigma_ra=sqrt(0.3)*75;

	epsilon=v.*NaN;
	index=find(sigma_ra <= r_sigma_e);
	epsilon(index)=0.72*(cwidth(index).^3)./(r_sigma_e(index)*A.^(3.0/2));
	index=find(~(sigma_ra <= r_sigma_e));
	epsilon(index)=((cwidth(index).^3)./(sigma_ra*((1.35*A).^1.5))).*((11.0/15)+(4.0/15)*(r_sigma_e(index)./sigma_ra).^2).^(-1.5);


	text=['\epsilon (\Deltaz = ' num2str(v_deltaz) 'km) '];

  title(['Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan),' ',int2str(day),'/',int2str(month),'/',int2str(year),' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec),' Az ',num2str(azim(:,1)-90),' deg : ',text]);

	pcbotv=pcolor(X,Z,real(log10(epsilon)));shading('flat');
	caxis([-4 -1.5]);
	ylabel('Height(km)');
	xlabel('Distance from radar (km)');

	cbot=colorbar('ver');
	set(cbot,'tickdir','out');
	pos=get(cbot,'position');
	set(cbot,'position',[pos(1) pos(2) .04 pos(4)]);

end 

%-----------plot Width_h---------------------
axrvtop=axes('position',postop);
eval(['grid ' showgrid]);
set(axrvtop,'xdir',rhixdir);

var=width_h;
i=find(var<0);
var(i)=NaN;

var_mask=mzap(munfill(v),4,3,0);
index=find(isnan(var_mask));
var(index)=NaN;

text='\sigma_H';

hold off
axis([xmin xmax zmin zmax]);
set(gca,'TickDir','out');
set(gca,'Box','on');
set(gca,'YTick',zmin:1:zmax);
hold on

title(['Tape ',int2str(file),' Raster ',int2str(raster),' Scan ',int2str(scan),' ',int2str(day),'/',int2str(month),'/',int2str(year),' ',int2str(start_hour),':',int2str(start_min),':',int2str(start_sec),' Az ',num2str(azim(:,1)-90),' deg : ',text]);

pctopv=pcolor(X,Z,var);
caxis([wimin wimax]);
shading('flat');
ctop=colorbar('ver');
set(ctop,'tickdir','out');
pos=get(ctop,'position');
set(ctop,'position',[pos(1) pos(2) .04 pos(4)]);

ylabel('Height (km)');

%---------------------------------


%---------------------------------------

set(gcf,'papertype','a4');
%set(gcf,'paperorientation','landscape');
%set(gcf,'paperposition',[0.81176 0.97647 10.035 6.2941]);

set(gcf,'paperorientation','portrait');
set(gcf,'paperposition',[0.25 2.9336 7.7677 5.8258]);

plotall=0;





