function err = vadfun(param)
%vadfun(param)
%
%Finds the error between input vector v (with corresponding
%azimuths az) and the function:
%y=param(1) + param(2)*cos(az*pi/180) + param(3)*sin(az*pi/180) + ...
%	param(4)*sin(2*az*pi/180) + param(5)*sin(2*az*pi/180);
%
%Use like:
%global az sig
%param=[0 0 0 0 0]
%opts=foptions;opts(14)=4000;
%param=fmins('vadfun',param,opts);
%y=param(1) + param(2)*cos(az*pi/180) + param(3)*sin(az*pi/180) + ...
%param(4)*sin(2*az*pi/180) + param(5)*sin(2*az*pi/180);
%plot(az,sig,'b'); hold on
%plot(az,y,'r')

global az sig
y=param(1) + param(2)*cos(az*pi/180) + param(3)*sin(az*pi/180) + ...
	param(4)*sin(2*az*pi/180) + param(5)*sin(2*az*pi/180);

err=norm(sig-y);